Bitfarms Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/bitfarms-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitfarms-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investor.bitfarms.com/static-files/315072ca-892c-40a0-b0b4-3c4524efdf49",
    "holding_balance": 1658.0,
    "holding_net_change": 256.0,
    "transaction_value_usd": 29216399.36,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1762905600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.keelinfra.com/news-releases/news-release-details/bitfarms-reports-third-quarter-2025-results",
    "holding_balance": 1827.0,
    "holding_net_change": 169.0,
    "transaction_value_usd": 17179378.97,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1778457600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir.keelinfra.com/news-releases/news-release-details/keel-infrastructure-reports-first-quarter-2026-results",
    "holding_balance": 1558.0,
    "holding_net_change": -269.0,
    "transaction_value_usd": 21981356.52,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitfarms-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1558.0
  ],
  [
    1779062400000,
    1558.0
  ],
  [
    1779148800000,
    1558.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/bitfarms-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    120635721.88
  ],
  [
    1779062400000,
    119879172.66
  ],
  [
    1779148800000,
    119592095.58
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/bitfarms-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.86,
    "date": "2026-03-31",
    "high": 1.98,
    "open": 1.86,
    "close": 1.95,
    "volume": 50013405
  },
  {
    "low": 1.93,
    "date": "2026-04-01",
    "high": 2.03,
    "open": 1.99,
    "close": 1.98,
    "volume": 42560803
  },
  {
    "low": 1.84,
    "date": "2026-04-02",
    "high": 1.99,
    "open": 1.88,
    "close": 1.98,
    "volume": 37311063
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/bitfarms-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.02,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.02
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitfarms-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -11.61,
  "six_month_return": -29.29,
  "three_month_return": -15.74
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitfarms-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 10.0,
  "total_btc_percentage": 0.007,
  "share_price_change_state": "down"
}